//
//  PhotoViewController.swift
//  SwiftCollectionView
//
//  Created by Merlyn on 11/24/14.
//  Copyright (c) 2014 The App Lady. All rights reserved.
//

import UIKit

class PhotoDetailViewController: UIViewController {
    @IBOutlet weak var imageView: UIImageView!
    @IBOutlet weak var captionLabel: UILabel!
    var selectedPhotoName: String = ""
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Initialize this view controller's views
        imageView.image = UIImage(named: selectedPhotoName)
    
        // Convert the selectedPhoto string object to an Array
        var stringArray: Array = selectedPhotoName.componentsSeparatedByString(".")
        
        // Get the last element of the stringArray object and assign it to the captionLabel control
        captionLabel.text = stringArray[0]
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}
